Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.xml
Class XMLFactory

    java.lang.Object
      org.apache.openjpa.lib.xml.XMLFactory

    public class XMLFactory

extends Object

The XMLFactory produces validating and non-validating DOM level 2 and SAX level 2 parsers and XSL transformers through JAXP. It uses caching to avoid repeatedly paying the relatively expensive runtime costs associated with resolving the correct XML implementation through the JAXP configuration mechanisms.

Author:
  Abe White

Constructor Summary
`XMLFactory()`

Method Summary
`static Document` | `getDocument()` Return a new DOM Document.
`static DocumentBuilder` | `getDOMParser(boolean validating, boolean namespaceAware)` Return a DocumentBuilder with the specified configuration.
`static SAXParser` | `getSAXParser(boolean validating, boolean namespaceAware)` Return a SAXParser with the specified configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### getSAXParser

    public static SAXParser getSAXParser(boolean validating,
                                         boolean namespaceAware)

  Return a SAXParser with the specified configuration.

### getDOMParser

    public static DocumentBuilder getDOMParser(boolean validating,
                                               boolean namespaceAware)

  Return a DocumentBuilder with the specified configuration.

### getDocument

    public static Document getDocument()

  Return a new DOM Document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.